<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="1da94ed8-6954-4dbc-8f54-8617863a9948" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/src/main/java/com/repair/common/utils/JWTUtil.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/repair/common/utils/JWTUtil.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/repair/controller/LoginController.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/repair/controller/LoginController.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/repair/controller/RepairClassesSettingsController.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/repair/controller/RepairClassesSettingsController.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/resources/application-dev.yml" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/resources/application-dev.yml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/repair_system-0.0.1-SNAPSHOT.jar.original" beforeDir="false" afterPath="$PROJECT_DIR$/target/repair_system-0.0.1-SNAPSHOT.jar.original" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/classes/" />
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DefaultGradleProjectSettings">
    <option name="isMigrated" value="true" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/controller/RepairShiftSettingsController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="111">
              <caret line="57" column="29" selection-start-line="57" selection-start-column="24" selection-end-line="57" selection-end-column="29" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/controller/RepairClassesSettingsController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="276">
              <caret line="479" column="58" selection-start-line="479" selection-start-column="58" selection-end-line="479" selection-end-column="58" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/resources/application.yml">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/resources/application-prod.yml">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/resources/application-dev.yml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="345">
              <caret line="15" column="53" selection-start-line="15" selection-start-column="53" selection-end-line="15" selection-end-column="53" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/controller/LoginController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="6624">
              <caret line="330" column="40" selection-start-line="330" selection-start-column="40" selection-end-line="330" selection-end-column="40" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/core/JwtAuthenticationInterceptor.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="368">
              <caret line="33" selection-start-line="33" selection-end-line="33" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/common/result/ResponseStatusEnum.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1012">
              <caret line="44" column="1" selection-start-line="44" selection-start-column="1" selection-end-line="44" selection-end-column="1" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/services/impl/RepairUserServiceImpl.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="874">
              <caret line="53" column="62" selection-start-line="53" selection-start-column="52" selection-end-line="53" selection-end-column="62" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>delete</find>
      <find>删除的</find>
      <find>deletedArticleBuildByIds</find>
      <find>待支付</find>
      <find>Unpaid</find>
      <find>待确认</find>
      <find>queryMyRepairRecordList</find>
      <find>maintenanceWorker</find>
      <find>updateRepairUserSettingByld</find>
      <find>SettingByld</find>
      <find>MaintenanceWorker</find>
      <find>if (userPages.getList() == null ||</find>
      <find>queryUserPage</find>
      <find>微校授权</find>
      <find>.has</find>
      <find>off</find>
      <find>offline_count</find>
      <find>线下</find>
      <find>queryPageRepairUsers</find>
      <find>autoDispatchUser</find>
      <find>queryPageRepairUser</find>
      <find>.getId</find>
      <find>登录凭证</find>
      <find>TOKEN_EXPIRE</find>
      <find>EXPIRED</find>
      <find>@Tr</find>
      <find>FIND_IN_SET</find>
      <find>builds</find>
      <find>存在</find>
      <find>importRepairClassesSettingExcel</find>
    </findStrings>
    <replaceStrings>
      <replace />
    </replaceStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/resources/application-prod.yml" />
        <option value="$PROJECT_DIR$/src/main/resources/application.yml" />
        <option value="$PROJECT_DIR$/src/main/java/com/repair/config/WxOpenidConfig.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/repair/controller/RepairRecordController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/repair/mapper/RepairUserMapper.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/repair/services/RepairUserService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/repair/services/impl/RepairUserServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/repair/controller/RepairUserController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/repair/controller/RepairPayRecordController.java" />
        <option value="$PROJECT_DIR$/src/main/resources/mapper/repair/RepairPayRecordMapper.xml" />
        <option value="$PROJECT_DIR$/src/main/resources/mapper/repair/RepairRecordMapper.xml" />
        <option value="$PROJECT_DIR$/src/main/java/com/repair/controller/LoginController.java" />
        <option value="$PROJECT_DIR$/src/main/resources/mapper/repair/RepairUserMapper.xml" />
        <option value="$PROJECT_DIR$/src/main/java/com/repair/common/utils/JWTUtil.java" />
        <option value="$PROJECT_DIR$/src/main/resources/application-dev.yml" />
        <option value="$PROJECT_DIR$/src/main/java/com/repair/controller/RepairClassesSettingsController.java" />
      </list>
    </option>
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="mavenHome" value="D:/Software/Develop/Maven/apache-maven-3.3.9" />
        <option name="userSettingsFile" value="D:\Software\Develop\Maven\apache-maven-3.3.9\conf\settings.xml" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="repair_system" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="repair_system" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Lifecycle" type="58874e2:MavenProjectsStructure$LifecycleNode" />
        </path>
      </expand>
      <select />
    </treeState>
  </component>
  <component name="MavenRunner">
    <option name="skipTests" value="true" />
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="-7" />
    <option name="width" value="974" />
    <option name="height" value="1039" />
  </component>
  <component name="ProjectId" id="2ahuEEqvb7VL7aZNfgOouNVEGo4" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="repair_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="repair_backend" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="repair_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="repair_backend" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="repair_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="repair_backend" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="repair_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="repair_backend" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="repair_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="repair_backend" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="repair" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="repair_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="repair_backend" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="repair" type="462c0819:PsiDirectoryNode" />
              <item name="common" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="repair_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="repair_backend" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="repair" type="462c0819:PsiDirectoryNode" />
              <item name="config" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="repair_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="repair_backend" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="repair" type="462c0819:PsiDirectoryNode" />
              <item name="controller" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="repair_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="repair_backend" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="repair" type="462c0819:PsiDirectoryNode" />
              <item name="core" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="repair_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="repair_backend" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="repair" type="462c0819:PsiDirectoryNode" />
              <item name="model" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="repair_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="repair_backend" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="repair" type="462c0819:PsiDirectoryNode" />
              <item name="model" type="462c0819:PsiDirectoryNode" />
              <item name="enumModel" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="repair_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="repair_backend" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="repair" type="462c0819:PsiDirectoryNode" />
              <item name="services" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="repair_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="repair_backend" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="repair" type="462c0819:PsiDirectoryNode" />
              <item name="services" type="462c0819:PsiDirectoryNode" />
              <item name="impl" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="repair_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="repair_backend" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="repair_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="repair_backend" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="repair" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="repair_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="repair_backend" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="sql" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="ProjectViewState">
    <option name="showExcludedFiles" value="false" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="RequestMappingsPanelOrder0" value="0" />
    <property name="RequestMappingsPanelOrder1" value="1" />
    <property name="RequestMappingsPanelWidth0" value="75" />
    <property name="RequestMappingsPanelWidth1" value="75" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="settings.editor.selected.configurable" value="MavenSettings" />
  </component>
  <component name="RebelAgentSelection">
    <selection>jr</selection>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Spring Boot.MybatisPlusApplication">
    <configuration name="AutoCode" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.repair.AutoCode" />
      <module name="repair_system" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.repair.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="MybatisPlusApplication (1)" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="repair_backend" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.repair.MybatisPlusApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="MybatisPlusApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="repair_system" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.repair.MybatisPlusApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Application.AutoCode" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" BundledDictionaries="0" Folders="0" CustomDictionaries="0" Dictionaries="0" CorrectionsLimit="5" DefaultDictionary="application-level" UseSingleDictionary="true" />
  <component name="SshConsoleOptionsProvider">
    <option name="myEncoding" value="UTF-8" />
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="1da94ed8-6954-4dbc-8f54-8617863a9948" name="Default Changelist" comment="" />
      <created>1699930738930</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1699930738930</updated>
      <workItem from="1699930740107" duration="3326000" />
      <workItem from="1699937034046" duration="4324000" />
      <workItem from="1699945990060" duration="1243000" />
      <workItem from="1700008732972" duration="11469000" />
      <workItem from="1700096417650" duration="6245000" />
      <workItem from="1700788462557" duration="6000" />
      <workItem from="1700789326224" duration="13000" />
      <workItem from="1700789484362" duration="1099000" />
      <workItem from="1700790596814" duration="5000" />
      <workItem from="1700790947848" duration="2471000" />
      <workItem from="1701070511059" duration="15000" />
      <workItem from="1701670147528" duration="7487000" />
      <workItem from="1701760156494" duration="2972000" />
      <workItem from="1701832852242" duration="3256000" />
      <workItem from="1701932713766" duration="1624000" />
      <workItem from="1701937163726" duration="21000" />
      <workItem from="1702363319329" duration="118000" />
      <workItem from="1702516298025" duration="427000" />
      <workItem from="1702517616762" duration="1117000" />
      <workItem from="1702623087893" duration="3067000" />
      <workItem from="1702890082311" duration="740000" />
      <workItem from="1703052414776" duration="691000" />
      <workItem from="1703061472300" duration="4838000" />
      <workItem from="1703559777337" duration="33320000" />
      <workItem from="1704348824442" duration="277000" />
      <workItem from="1704349398193" duration="82000" />
      <workItem from="1704767932421" duration="1771000" />
      <workItem from="1704770873140" duration="45000" />
      <workItem from="1704771344487" duration="627000" />
      <workItem from="1704783277575" duration="366000" />
      <workItem from="1704788101380" duration="920000" />
      <workItem from="1704767932421" duration="1298000" />
      <workItem from="1704783020212" duration="1956000" />
      <workItem from="1710743470773" duration="7000" />
      <workItem from="1710743483089" duration="127000" />
      <workItem from="1710751889778" duration="9689000" />
      <workItem from="1710927210498" duration="2354000" />
      <workItem from="1711440574193" duration="697000" />
      <workItem from="1711520820053" duration="647000" />
      <workItem from="1711620223822" duration="172000" />
      <workItem from="1712022045909" duration="740000" />
      <workItem from="1712038717365" duration="56000" />
      <workItem from="1712042093100" duration="2073000" />
      <workItem from="1712050578115" duration="23000" />
      <workItem from="1712126688138" duration="662000" />
      <workItem from="1712478459652" duration="91000" />
      <workItem from="1712539921253" duration="744000" />
      <workItem from="1712740251019" duration="55000" />
      <workItem from="1712807341349" duration="6869000" />
      <workItem from="1713170974227" duration="1762000" />
      <workItem from="1713340013298" duration="7000" />
      <workItem from="1713340890295" duration="182000" />
      <workItem from="1713409361322" duration="44000" />
      <workItem from="1713420872783" duration="678000" />
      <workItem from="1713423775804" duration="1436000" />
      <workItem from="1713600318652" duration="90000" />
      <workItem from="1713879681743" duration="1523000" />
      <workItem from="1714005492066" duration="1918000" />
      <workItem from="1714268571866" duration="17000" />
      <workItem from="1715067821604" duration="440000" />
      <workItem from="1715070172618" duration="12000" />
      <workItem from="1715070194806" duration="4000" />
      <workItem from="1715851825859" duration="152000" />
      <workItem from="1716520193305" duration="1316000" />
      <workItem from="1716531147114" duration="15000" />
      <workItem from="1717633909959" duration="735000" />
      <workItem from="1718098764268" duration="968000" />
      <workItem from="1718184937229" duration="647000" />
      <workItem from="1718263818280" duration="68000" />
      <workItem from="1718693040194" duration="291000" />
      <workItem from="1720064017651" duration="1047000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="133051000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1936" height="1048" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" weight="0.78118163" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Designer" order="2" />
      <window_info id="JRebel" order="3" side_tool="true" />
      <window_info id="Image Layers" order="4" />
      <window_info id="Capture Tool" order="5" />
      <window_info id="UI Designer" order="6" />
      <window_info id="Favorites" order="7" side_tool="true" />
      <window_info id="Web" order="8" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.41466084" />
      <window_info active="true" anchor="bottom" id="Debug" order="3" visible="true" weight="0.06345733" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.32932165" />
      <window_info anchor="bottom" id="Spring" order="7" />
      <window_info anchor="bottom" id="Terminal" order="8" weight="0.32928178" />
      <window_info anchor="bottom" id="Docker" order="9" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="bottom" id="Messages" order="11" weight="0.32486188" />
      <window_info anchor="bottom" id="Java Enterprise" order="12" />
      <window_info anchor="bottom" id="Database Changes" order="13" />
      <window_info anchor="bottom" id="Version Control" order="14" weight="0.32928178" />
      <window_info anchor="bottom" id="JRebel Executor" order="15" />
      <window_info anchor="bottom" id="JRebel Console" order="16" side_tool="true" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.24945295" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Maven" order="3" weight="0.47121534" />
      <window_info anchor="right" id="Palette" order="4" />
      <window_info anchor="right" id="Capture Analysis" order="5" />
      <window_info anchor="right" id="Database" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Theme Preview" order="8" />
      <window_info anchor="right" id="JRebel Setup Guide" order="9" side_tool="true" />
      <window_info anchor="right" id="Bean Validation" order="10" />
    </layout>
    <layout-to-restore>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.1705757" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Designer" order="2" />
      <window_info id="JRebel" order="3" side_tool="true" />
      <window_info id="Image Layers" order="4" />
      <window_info id="Capture Tool" order="5" />
      <window_info id="UI Designer" order="6" />
      <window_info id="Favorites" order="7" side_tool="true" />
      <window_info id="Web" order="8" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.41466084" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.17396061" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.32932165" />
      <window_info anchor="bottom" id="Spring" order="7" />
      <window_info anchor="bottom" id="Terminal" order="8" weight="0.32928178" />
      <window_info anchor="bottom" id="Docker" order="9" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="bottom" id="Messages" order="11" weight="0.32486188" />
      <window_info anchor="bottom" id="Java Enterprise" order="12" />
      <window_info anchor="bottom" id="Database Changes" order="13" />
      <window_info anchor="bottom" id="Version Control" order="14" weight="0.32928178" />
      <window_info anchor="bottom" id="JRebel Executor" order="15" />
      <window_info anchor="bottom" id="JRebel Console" order="16" side_tool="true" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.24945295" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Maven" order="3" weight="0.96608317" />
      <window_info anchor="right" id="Palette" order="4" />
      <window_info anchor="right" id="Capture Analysis" order="5" />
      <window_info anchor="right" id="Database" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Theme Preview" order="8" />
      <window_info anchor="right" id="JRebel Setup Guide" order="9" side_tool="true" />
      <window_info anchor="right" id="Bean Validation" order="10" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="RECENTLY_FILTERED_USER_GROUPS">
                <collection />
              </option>
              <option name="RECENTLY_FILTERED_BRANCH_GROUPS">
                <collection />
              </option>
            </State>
          </value>
        </entry>
      </map>
    </option>
    <option name="RECENT_FILTERS">
      <map>
        <entry key="Branch">
          <value>
            <list />
          </value>
        </entry>
        <entry key="User">
          <value>
            <list />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/repair/controller/RepairRecordController.java</url>
          <line>1666</line>
          <properties />
          <option name="timeStamp" value="4" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/repair/controller/RepairPayRecordController.java</url>
          <line>680</line>
          <properties />
          <option name="timeStamp" value="6" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/repair/controller/RepairPayRecordController.java</url>
          <line>678</line>
          <properties />
          <option name="timeStamp" value="7" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/repair/controller/RepairPayRecordController.java</url>
          <line>574</line>
          <properties />
          <option name="timeStamp" value="8" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/repair/common/utils/ExcelUtils.java</url>
          <line>23</line>
          <properties />
          <option name="timeStamp" value="9" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/repair/controller/RepairClassesSettingsController.java</url>
          <line>432</line>
          <properties />
          <option name="timeStamp" value="10" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="antWorkspaceConfiguration">
    <option name="IS_AUTOSCROLL_TO_SOURCE" value="false" />
    <option name="FILTER_TARGETS" value="false" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/model/request/repairPayRequest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="253">
          <caret line="14" column="13" selection-start-line="14" selection-start-column="13" selection-end-line="14" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/controller/RepairPayRecordController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="428">
          <caret line="184" column="27" selection-start-line="184" selection-start-column="18" selection-end-line="184" selection-end-column="27" />
          <folding>
            <element signature="method#repairPayment#0;class#RepairPayRecordController#0" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/model/request/repairRecordRequest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="253">
          <caret line="17" column="13" selection-start-line="17" selection-start-column="13" selection-end-line="17" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/model/request/WxPayRequest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="184">
          <caret line="12" column="13" selection-start-line="12" selection-start-column="13" selection-end-line="12" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/common/utils/WxUtil.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="292">
          <caret line="383" column="25" selection-start-line="383" selection-start-column="25" selection-end-line="383" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/common/utils/JaxbUtil.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="253">
          <caret line="22" column="13" selection-start-line="22" selection-start-column="13" selection-end-line="22" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/model/result/TongYiReturn.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="253">
          <caret line="13" column="13" selection-start-line="13" selection-start-column="13" selection-end-line="13" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/model/result/EndPay.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="230">
          <caret line="10" column="13" selection-start-line="10" selection-start-column="13" selection-end-line="10" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/common/utils/DictionaryCompare.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="230">
          <caret line="10" column="13" selection-start-line="10" selection-start-column="13" selection-end-line="10" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/api/RepairPayRecordControllerAPI.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="414">
          <caret line="32" column="65" lean-forward="true" selection-start-line="30" selection-start-column="4" selection-end-line="32" selection-end-column="106" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/model/pojo/RepairAdmin.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-260">
          <caret line="31" column="13" selection-start-line="31" selection-start-column="13" selection-end-line="31" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/model/request/loginRequest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="184">
          <caret line="10" column="13" selection-start-line="10" selection-start-column="13" selection-end-line="10" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/services/impl/RepairAdminServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="335">
          <caret line="36" column="57" selection-start-line="36" selection-start-column="23" selection-end-line="36" selection-end-column="57" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/model/result/PayResult.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="276">
          <caret line="14" column="13" selection-start-line="14" selection-start-column="13" selection-end-line="14" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/api/RepairRecordControllerAPI.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="345">
          <caret line="26" column="94" selection-start-line="24" selection-start-column="4" selection-end-line="26" selection-end-column="94" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/services/impl/RepairConsumablesServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="384">
          <caret line="54" column="52" lean-forward="true" selection-start-line="54" selection-start-column="52" selection-end-line="54" selection-end-column="52" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/controller/RepairConsumablesController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="269">
          <caret line="462" column="26" selection-start-line="462" selection-start-column="20" selection-end-line="462" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/controller/RepairConsumeController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-140">
          <caret line="186" column="15" selection-start-line="186" selection-start-column="13" selection-end-line="186" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/model/enumModel/ePayStatu.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="230">
          <caret line="10" column="10" selection-start-line="10" selection-start-column="4" selection-end-line="10" selection-end-column="10" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/model/enumModel/eRefundStatu.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="391">
          <caret line="21" column="33" selection-start-line="21" selection-start-column="33" selection-end-line="21" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/config/WxOpenidConfig.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="266">
          <caret line="32" column="19" selection-start-line="32" selection-start-column="19" selection-end-line="32" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/common/utils/HttpsClient.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="4439">
          <caret line="220" column="25" selection-start-line="220" selection-start-column="25" selection-end-line="220" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/model/enumModel/eRecordStatu.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="437">
          <caret line="19" column="11" selection-start-line="19" selection-start-column="4" selection-end-line="19" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/mapper/repair/RepairRecordMapper.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="21367">
          <caret line="929" column="58" selection-start-line="929" selection-start-column="36" selection-end-line="929" selection-end-column="58" />
          <folding>
            <element signature="e#814#818#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/services/impl/RepairAreaServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="299">
          <caret line="26" column="13" selection-start-line="26" selection-start-column="13" selection-end-line="26" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/services/impl/RepairArticleBuildServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1771">
          <caret line="85" column="5" selection-start-line="79" selection-start-column="4" selection-end-line="85" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/controller/RepairUserController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="9223">
          <caret line="427" column="24" selection-start-line="427" selection-start-column="24" selection-end-line="427" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_181/src.zip!/java/lang/String.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68720">
          <caret line="3167" selection-start-line="112" selection-end-line="3167" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/model/request/ArticleBuildRequest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="460">
          <caret line="22" column="19" lean-forward="true" selection-start-line="22" selection-start-column="19" selection-end-line="22" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/model/request/updateUserDataRequest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="263">
          <caret line="61" column="29" lean-forward="true" selection-start-line="61" selection-start-column="29" selection-end-line="61" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/model/pojo/RepairUser.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-404">
          <caret line="26" column="13" selection-start-line="26" selection-start-column="13" selection-end-line="26" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/api/RepairUserControllerAPI.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="414">
          <caret line="26" column="36" selection-start-line="26" selection-start-column="17" selection-end-line="26" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/services/impl/RepairDispatchRecordServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="483">
          <caret line="36" column="18" selection-start-line="36" selection-start-column="18" selection-end-line="36" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/model/enumModel/eUserZZ.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="207">
          <caret line="9" column="16" selection-start-line="9" selection-start-column="16" selection-end-line="9" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/common/utils/JWTUtil.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1610">
          <caret line="86" column="52" selection-start-line="86" selection-start-column="52" selection-end-line="86" selection-end-column="52" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/controller/RepairRecordController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2852">
          <caret line="168" column="41" selection-start-line="167" selection-start-column="17" selection-end-line="168" selection-end-column="41" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/mapper/repair/RepairWorkTypeMapper.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/mapper/repair/RepairUserMapper.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2691">
          <caret line="117" selection-start-line="105" selection-end-line="117" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/mapper/repair/RepairClassesSettingsMapper.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/mapper/repair/RepairShiftSettingsMapper.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/controller/LoginController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="6624">
          <caret line="330" column="40" selection-start-line="330" selection-start-column="40" selection-end-line="330" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/core/JwtAuthenticationInterceptor.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="368">
          <caret line="33" selection-start-line="33" selection-end-line="33" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/common/result/ResponseStatusEnum.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1012">
          <caret line="44" column="1" selection-start-line="44" selection-start-column="1" selection-end-line="44" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/services/impl/RepairUserServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="874">
          <caret line="53" column="62" selection-start-line="53" selection-start-column="52" selection-end-line="53" selection-end-column="62" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/controller/RepairShiftSettingsController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="111">
          <caret line="57" column="29" selection-start-line="57" selection-start-column="24" selection-end-line="57" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/application.yml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/application-prod.yml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/application-dev.yml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="345">
          <caret line="15" column="53" selection-start-line="15" selection-start-column="53" selection-end-line="15" selection-end-column="53" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/spring-web/5.3.22/spring-web-5.3.22-sources.jar!/org/springframework/web/method/support/InvocableHandlerMethod.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="193">
          <caret line="211" selection-start-line="211" selection-end-line="211" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/apache/poi/poi/4.1.0/poi-4.1.0-sources.jar!/org/apache/poi/ss/usermodel/CellBase.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="167">
          <caret line="39" column="22" selection-start-line="39" selection-start-column="22" selection-end-line="39" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/repair/controller/RepairClassesSettingsController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="276">
          <caret line="479" column="58" selection-start-line="479" selection-start-column="58" selection-end-line="479" selection-end-column="58" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>